Bug 167094 - Runtime crashed on openmotif library
Runtime crashed on openmotif library
Status: CLOSED DUPLICATE of bug 166144
Product: Fedora
Classification: Fedora
Component: openmotif (Show other bugs)
4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Thomas Woerner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-08-30 04:36 EDT by Marco Beccuti
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-02 11:18:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marco Beccuti 2005-08-30 04:36:30 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; it-IT; rv:1.7.10) Gecko/20050720 Fedora/1.0.6-1.1.fc4 Firefox/1.0.6

Description of problem:
Dear Staff I'm a Ph.D student in Torino, I find a problem on openmotif 2.3.10 library,:


I solve the problem rebuilding the openmotif that I download by www.openmotif.n
et

This problem don't happen whit  yuor last version openmotif 2.3.9.

Version-Release number of selected component (if applicable):
kernel-2.6.12-1.1447_FC4 

How reproducible:
Always

Steps to Reproduce:

  *** buffer overflow detected ***: /u/mbeccuti/GreatSPN/SOURCES/contrib/../../i68
 6_R2.6.12.3/GreatSPN2.0.2 terminated
======= Backtrace: =========
/lib/libc.so.6(__chk_fail+0x41)[0x48dda565]
/lib/libc.so.6(__strcpy_chk+0x3f)[0x48dd9bf7]
/usr/X11R6/lib/libMrm.so.3(Idb__HDR_GetHeader+0x247)[0x48e32103]
/usr/X11R6/lib/libMrm.so.3(UrmIdbOpenFileRead+0xd8)[0x48e35322]
/usr/X11R6/lib/libMrm.so.3[0x48e369eb]
/usr/X11R6/lib/libMrm.so.3(Urm__OpenHierarchy+0x165)[0x48e36cf6]
/usr/X11R6/lib/libMrm.so.3(MrmOpenHierarchyPerDisplay+0x5b)[0x48e35974]
/u/mbeccuti/GreatSPN/SOURCES/contrib/../../i686_R2.6.12.3/GreatSPN2.0.2[0x8085de
 f]
/u/mbeccuti/GreatSPN/SOURCES/contrib/../../i686_R2.6.12.3/GreatSPN2.0.2[0x806821
 4]
/lib/libc.so.6(__libc_start_main+0xc6)[0x48d10de6]
/u/mbeccuti/GreatSPN/SOURCES/contrib/../../i686_R2.6.12.3/GreatSPN2.0.2[0x804b3c
 d]
======= Memory map: ========
08048000-08093000 r-xp 00000000 00:12 1946274    /u/mbeccuti/GreatSPN/i686_R2.6. 12.3/GreatSPN2.0.2
08093000-08096000 rw-p 0004b000 00:12 1946274    /u/mbeccuti/GreatSPN/i686_R2.6. 12.3/GreatSPN2.0.2
08096000-080e6000 rw-p 08096000 00:00 0          [heap]
48cde000-48cf8000 r-xp 00000000 03:02 147652     /lib/ld-2.3.5.so
48cf8000-48cf9000 r--p 00019000 03:02 147652     /lib/ld-2.3.5.so
48cf9000-48cfa000 rw-p 0001a000 03:02 147652     /lib/ld-2.3.5.so
48cfc000-48e20000 r-xp 00000000 03:02 147662     /lib/libc-2.3.5.so
48e20000-48e22000 r--p 00124000 03:02 147662     /lib/libc-2.3.5.so
48e22000-48e24000 rw-p 00126000 03:02 147662     /lib/libc-2.3.5.so
48e24000-48e26000 rw-p 48e24000 00:00 0
48e28000-48e48000 r-xp 00000000 03:02 37583      /usr/X11R6/lib/libMrm.so.3.0.2
48e48000-48e49000 rw-p 00020000 03:02 37583      /usr/X11R6/lib/libMrm.so.3.0.2
48e4e000-48e50000 r-xp 00000000 03:02 147671     /lib/libdl-2.3.5.so
48e50000-48e51000 r--p 00001000 03:02 147671     /lib/libdl-2.3.5.so
48e51000-48e52000 rw-p 00002000 03:02 147671     /lib/libdl-2.3.5.so
48e69000-48f39000 r-xp 00000000 03:02 37591      /usr/X11R6/lib/libX11.so.6.2
48f39000-48f3d000 rw-p 000cf000 03:02 37591      /usr/X11R6/lib/libX11.so.6.2
48f3f000-48f4d000 r-xp 00000000 03:02 37610      /usr/X11R6/lib/libXext.so.6.4
48f4d000-48f4e000 rw-p 0000e000 03:02 37610      /usr/X11R6/lib/libXext.so.6.4
48f50000-48f57000 r-xp 00000000 03:02 37629      /usr/X11R6/lib/libXp.so.6.2
48f57000-48f58000 rw-p 00006000 03:02 37629      /usr/X11R6/lib/libXp.so.6.2
4901b000-49024000 r-xp 00000000 03:02 37603      /usr/X11R6/lib/libXcursor.so.1. 0.2
49024000-49025000 rw-p 00008000 03:02 37603      /usr/X11R6/lib/libXcursor.so.1. 0.2
4903c000-49043000 r-xp 00000000 03:02 37635      /usr/X11R6/lib/libXrender.so.1. 2.2
49043000-49044000 rw-p 00007000 03:02 37635      /usr/X11R6/lib/libXrender.so.1. 2.2
49066000-4906f000 r-xp 00000000 03:02 147674     /lib/libgcc_s-4.0.1-20050727.so .1
4906f000-49070000 rw-p 00009000 03:02 147674     /lib/libgcc_s-4.0.1-20050727.so .1
491ea000-491f2000 r-xp 00000000 03:02 37587      /usr/X11R6/lib/libSM.so.6.0
491f2000-491f3000 rw-p 00007000 03:02 37587      /usr/X11R6/lib/libSM.so.6.0
491f5000-4920c000 r-xp 00000000 03:02 37581      /usr/X11R6/lib/libICE.so.6.3
4920c000-4920d000 rw-p 00016000 03:02 37581      /usr/X11R6/lib/libICE.so.6.3
4920d000-4920f000 rw-p 4920d000 00:00 0
4922c000-49481000 r-xp 00000000 03:02 37623      /usr/X11R6/lib/libXm.so.3.0.2
49481000-4949a000 rw-p 00255000 03:02 37623      /usr/X11R6/lib/libXm.so.3.0.2
4949a000-4949b000 rw-p 4949a000 00:00 0
49a7d000-49a93000 r-xp 00000000 03:02 37625      /usr/X11R6/lib/libXmu.so.6.2
49a93000-49a94000 rw-p 00015000 03:02 37625      /usr/X11R6/lib/libXmu.so.6.2
4aa73000-4aac5000 r-xp 00000000 03:02 37639      /usr/X11R6/lib/libXt.so.6.0
4aac5000-4aac9000 rw-p 00052000 03:02 37639      /usr/X11R6/lib/libXt.so.6.0
b7f32000-b7f34000 rw-p b7f32000 00:00 0
b7f34000-b7f56000 r-xp 00000000 03:02 147676     /lib/libm-2.3.5.so
b7f56000-b7f57000 r--p 00021000 03:02 147676     /lib/libm-2.3.5.so
b7f57000-b7f58000 rw-p 00022000 03:02 147676     /lib/libm-2.3.5.so
b7f58000-b7f59000 rw-p b7f58000 00:00 0
b7f6d000-b7f6f000 r-xp 00000000 03:02 35564      /usr/X11R6/lib/X11/locale/lib/c ommon/xlcDef.so.2
b7f6f000-b7f70000 rw-p 00001000 03:02 35564      /usr/X11R6/lib/X11/locale/lib/c ommon/xlcDef.so.2
b7f70000-b7f71000 rw-p b7f70000 00:00 0
bfe5b000-bfe71000 rw-p bfe5b000 00:00 0          [stack]
ffffe000-fffff000 ---p 00000000 00:00 0          [vdso]
/u/mbeccuti/GreatSPN/b


Additional info:
Comment 1 Thomas Woerner 2005-08-30 06:26:20 EDT
The only change in 2.2.3-10 is a libXpm security fix.

Please install the debuginfo package, rerun your program and attach the log output.
Comment 2 Arjan van de Ven 2005-09-02 01:57:42 EDT
might be a duplicate of
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=166144
Comment 3 Thomas Woerner 2005-09-02 11:18:36 EDT
It is a duplicate of 166144.

*** This bug has been marked as a duplicate of 166144 ***

Note You need to log in before you can comment on or make changes to this bug.